aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/ipq806x/base-files/etc/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/ipq806x/base-files/etc/init.d')
-rwxr-xr-xtarget/linux/ipq806x/base-files/etc/init.d/bootcount13
-rwxr-xr-xtarget/linux/ipq806x/base-files/etc/init.d/linksys_recovery19
2 files changed, 13 insertions, 19 deletions
diff --git a/target/linux/ipq806x/base-files/etc/init.d/bootcount b/target/linux/ipq806x/base-files/etc/init.d/bootcount
new file mode 100755
index 0000000000..6a5a6d52ad
--- /dev/null
+++ b/target/linux/ipq806x/base-files/etc/init.d/bootcount
@@ -0,0 +1,13 @@
+#!/bin/sh /etc/rc.common
+
+START=99
+
+start() {
+ . /lib/functions.sh
+
+ case $(board_name) in
+ linksys,ea8500)
+ mtd resetbc s_env || true
+ ;;
+ esac
+}
diff --git a/target/linux/ipq806x/base-files/etc/init.d/linksys_recovery b/target/linux/ipq806x/base-files/etc/init.d/linksys_recovery
deleted file mode 100755
index 6b4b38ec7b..0000000000
--- a/target/linux/ipq806x/base-files/etc/init.d/linksys_recovery
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/sh /etc/rc.common
-# Copyright (C) 2015 OpenWrt.org
-
-START=97
-boot() {
-. /lib/functions.sh
-
-case $(board_name) in
- linksys,ea8500)
- # make sure auto_recovery in uboot is always on
- AUTO_RECOVERY_ENA="`fw_printenv -n auto_recovery`"
- if [ "$AUTO_RECOVERY_ENA" != "yes" ] ; then
- fw_setenv auto_recovery yes
- fi
- # reset the boot counter
- mtd resetbc s_env
- ;;
-esac
-}